﻿using Amazon.DynamoDBv2.DataModel;
using System;
using System.Collections.Generic;
using System.Text;

namespace AWS.APG.CQRSES.CommandRedeemRewardLambda.Models
{
    [DynamoDBTable("cqrses-reward-cmd")]
    public class Reward
    {
        [DynamoDBHashKey]
        public int Id { get; set; }

        [DynamoDBRangeKey]
        public DateTime Timestamp { get; set; }

        public int CustomerId { get; set; }

        public int Points { get; set; }
    }
}
