﻿using Amazon.DynamoDBv2.Model;
using System;
using System.Collections.Generic;
using System.Text;

namespace AwS.APG.CQRSES.EventSourceCustomer.Models
{
    /// <summary>
    /// Customer event object
    /// </summary>
    public class Customer
    {
        public Customer()
        { 
        
        }


        public Customer(Dictionary<string, AttributeValue> dictionary)
        {
            Id = Convert.ToInt32(dictionary["Id"].N);
            Firstname = dictionary["Firstname"].S;
            Lastname = dictionary["Lastname"].S;
            VIP = Convert.ToBoolean(Convert.ToInt32(dictionary["VIP"].N));
            Address = dictionary["Address"].S;
            CompanyName = dictionary["CompanyName"].S;
        }

        public int Id { get; set; }

        public string Firstname { get; set; }

        public string Lastname { get; set; }

        public bool VIP { get; set; }

        public string CompanyName { get; set; }

        public string Address { get; set; }
    }
}
