﻿using Amazon.DynamoDBv2.DataModel;
using Amazon.DynamoDBv2.Model;
using System;
using System.Collections.Generic;
using System.Text;

namespace AWS.APG.CQRSES.EventSourceReward.Models
{
    /// <summary>
    /// Reward event object
    /// </summary>
    public class Reward
    {
        public Reward()
        { 
        
        }

        public Reward(Dictionary<string, AttributeValue> dictionary)
        {
            Id = Convert.ToInt32(dictionary["Id"].N);
            CustomerId = Convert.ToInt32(dictionary["CustomerId"].N);
            Points = Convert.ToInt32(dictionary["Points"].N);
            Timestamp = Convert.ToDateTime(dictionary["Timestamp"].S);
        }


        public int Id { get; set; }

        public DateTime Timestamp { get; set; }

        public int CustomerId { get; set; }

        public int Points { get; set; }
    }
}
